## remctl 3.16

=== debian/changelog ===
remctl (3.16-4+rpi1) bullseye-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 19 Nov 2019 08:15:32 +0000

remctl (3.16-4) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Avoid autopkgtest trying to download and install typing from PIP for
    the Python tests by removing install_requires, since setuptools is not
    smart enough to know that the typing dependency is satisfied by Python
    3's standard library.  (Closes: #944151, #944152)

 -- Russ Allbery <rra@debian.org>  Tue, 05 Nov 2019 20:45:18 -0800

remctl (3.16-3) unstable; urgency=medium

  * Fix syntax of Python autopkgtest script to work with both Python 2 and
    Python 3.

 -- Russ Allbery <rra@debian.org>  Sun, 03 Nov 2019 10:52:30 -0800

remctl (3.16-2) unstable; urgency=medium

  * Reupload including the binary packages since source-only uploads
    aren't allowed when NEW processing is involved.  (Requires a version
    bump because dgit already recorded the 3.16-1 version as part of a
    source-only upload.)

 -- Russ Allbery <rra@debian.org>  Sat, 26 Oct 2019 15:13:23 -0700

remctl (3.16-1) unstable; urgency=medium

  * New upstream release.
    - Add -t flag to the remctl client to specify network timeout.
    - Fix NULL pointer dereference after memory allocation failure.
    - Add GCC attributes to declarations in remctl.h.
  * Add python3-pyremctl package with the Python 3 version of the
    libremctl bindings and drop python-remctl.  (Closes: #938350)
  * Remove XS-Python-Version, since only 2.7 is now supported.
  * Add Build-Depends-Package to libremctl1 symbols file.
  * Mention remctl-shell in the long description of remctl-server.
  * Update to debhelper compatibility level V12.
    - Switch to debhelper-compat dependency and remove debian/compat.
    - Override dh_missing rather than pass --fail-missing to dh_install.
  * Update standards version to 4.4.1.
    - Install NEWS in all packages as /usr/share/doc/<package>/NEWS.gz
      rather than as changelog.gz.
  * Remove obsolete debian/source/options file to force xz compression.
  * Remove unnecessary Perl module test that includes Recommends.  The
    Perl module has no Recommends, so this is redundant with the normal
    dependency test.
  * Drop versioned dpkg-dev dependency that's older than oldoldstable.
  * Drop version constraint on gem2deb satisfied by oldoldstable.
  * Drop Provides: php7.0-remctl from php-remctl.  This transition was
    completed long ago.
  * Run wrap-and-sort -ast.

 -- Russ Allbery <rra@debian.org>  Sat, 26 Oct 2019 13:49:19 -0700

=== debian/control ===
Source: remctl
Section: net
Priority: optional
Maintainer: Russ Allbery <rra@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-php,
 dh-python,
 gem2deb,
 krb5-config,
 libevent-dev,
 libkrb5-dev,
 libmodule-build-perl,
 libpcre3-dev,
 libperl-critic-perl,
 libsystemd-dev [linux-any],
 libtest-minimumversion-perl,
 libtest-pod-coverage-perl,
 libtest-pod-perl,
 libtest-strict-perl,
 libtest-synopsis-perl,
 perl,
 php-cli,
 php-dev,
 pkg-config,
 python3-all-dev,
 python3-pytest,
 python3-pytest-runner,
 python3-setuptools,
XS-Ruby-Versions: all
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: https://www.eyrie.org/~eagle/software/remctl/
Vcs-Git: https://git.eyrie.org/git/kerberos/remctl.git -b debian/master
Vcs-Browser: https://git.eyrie.org/?p=kerberos/remctl.git

Package: libremctl1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library for Kerberos-authenticated command execution
 remctl is a client/server protocol for executing specific commands on a
 remote system with Kerberos authentication.  The allowable commands must
 be listed in a server configuration file, and the executable run on the
 server may be mapped to any command name.  Each command is also
 associated with an ACL containing a list of Kerberos principals
 authorized to run that command.
 .
 This package contains the client libraries linked against MIT Kerberos.

Package: libremctl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libremctl1 (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 libkrb5-dev,
Description: Development files for Kerberos-authenticated command execution
 remctl is a client/server protocol for executing specific commands on a
 remote system with Kerberos authentication.  The allowable commands must
 be listed in a server configuration file, and the executable run on the
 server may be mapped to any command name.  Each command is also
 associated with an ACL containing a list of Kerberos principals
 authorized to run that command.
 .
 This package contains the development files for client libraries linked
 against MIT Kerberos.

Package: remctl-client
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Client for Kerberos-authenticated command execution
 remctl is a client/server protocol for executing specific commands on a
 remote system with Kerberos authentication.  The allowable commands must
 be listed in a server configuration file, and the executable run on the
 server may be mapped to any command name.  Each command is also
 associated with an ACL containing a list of Kerberos principals
 authorized to run that command.
 .
 This package contains the client program (remctl).

Package: remctl-server
Architecture: any
Multi-Arch: foreign
Depends:
 netbase (>= 4.31),
 update-inetd | inet-superserver,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 openbsd-inetd | inet-superserver,
 tcpd,
Description: Server for Kerberos-authenticated command execution
 remctl is a client/server protocol for executing specific commands on a
 remote system with Kerberos authentication.  The allowable commands must
 be listed in a server configuration file, and the executable run on the
 server may be mapped to any command name.  Each command is also
 associated with an ACL containing a list of Kerberos principals
 authorized to run that command.
 .
 This package contains the server (remctld) and the SSH backend
 (remctl-shell).

Package: libnet-remctl-perl
Section: perl
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Description: Perl client for Kerberos-authenticated command execution
 remctl is a client/server protocol for executing specific commands on a
 remote system with Kerberos authentication.  The allowable commands must
 be listed in a server configuration file, and the executable run on the
 server may be mapped to any command name.  Each command is also
 associated with an ACL containing a list of Kerberos principals
 authorized to run that command.
 .
 This package contains the Net::Remctl Perl library, which provides native
 Perl bindings for the libremctl client library.  It also contains the
 Net::Remctl::Backend module, which assists in writing remctl backends in
 Perl.

Package: php-remctl
Section: php
Architecture: any
Depends:
 ${misc:Depends},
 ${php:Depends},
 ${shlibs:Depends},
Description: PECL module for Kerberos-authenticated command execution
 remctl is a client/server protocol for executing specific commands on a
 remote system with Kerberos authentication.  The allowable commands must
 be listed in a server configuration file, and the executable run on the
 server may be mapped to any command name.  Each command is also
 associated with an ACL containing a list of Kerberos principals
 authorized to run that command.
 .
 This package contains the PECL remctl module for PHP 7, which provides
 native PHP bindings for the libremctl client library.

Package: python3-pyremctl
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python:Provides},
Description: Python 3 extension for Kerberos-authenticated command execution
 remctl is a client/server protocol for executing specific commands on a
 remote system with Kerberos authentication.  The allowable commands must
 be listed in a server configuration file, and the executable run on the
 server may be mapped to any command name.  Each command is also
 associated with an ACL containing a list of Kerberos principals
 authorized to run that command.
 .
 This package contains the Python 3 remctl extension, which provides native
 Python bindings for the libremctl client library.

Package: ruby-remctl
Section: ruby
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ruby | ruby-interpreter,
 ${misc:Depends},
 ${shlibs:Depends},
X-DhRuby-Root: ruby
XB-Ruby-Versions: ${ruby:Versions}
Description: Ruby extension for Kerberos-authenticated command execution
 remctl is a client/server protocol for executing specific commands on a
 remote system with Kerberos authentication.  The allowable commands must
 be listed in a server configuration file, and the executable run on the
 server may be mapped to any command name.  Each command is also
 associated with an ACL containing a list of Kerberos principals
 authorized to run that command.
 .
 This package contains the Ruby remctl extension, which provides native
 Ruby bindings for the libremctl client library.

=== debian/rules ===
#!/usr/bin/make -f

# Add hardening build flags.  -fPIE is added separately below via hooks in
# the upstream build system, since adding it globally breaks the language
# binding modules.
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

# Link with --as-needed so that the remctl client library doesn't inherit
# the shared library dependencies of libremctl.
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Enable -fPIE for all binaries, picked up by the upstream build system.
export REMCTL_PROGRAM_CFLAGS  = -fPIE
export REMCTL_PROGRAM_LDFLAGS = -fPIE

# The additional flags to pass to Build.PL, picked up by the upstream build
# system.
export REMCTL_PERL_FLAGS := --installdirs vendor --create_packlist 0

# The supported Python versions and the additional Python flags, picked up
# by the upstream build system.
export REMCTL_PYTHON_INSTALL  := --install-layout=deb
export REMCTL_PYTHON_VERSIONS := $(shell py3versions -s)

%:
	dh $@ --with python3,ruby

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- PATH_SUDO=/usr/bin/sudo --sysconfdir=/etc/remctl \
	    --with-systemdsystemunitdir=/lib/systemd/system		      \
	    --enable-reduced-depends --enable-perl --enable-php		      \
	    --enable-python --enable-ruby

# Ignore the Ruby module installed in usr/local/lib by the upstream build
# system.  Run dh_ruby --install to build and install the module for each
# supported Ruby version.
override_dh_install:
	dh_install -Xlibremctl.la -Xusr/local/lib
	dh_ruby --install
	dh_php -pphp-remctl

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -V 'libremctl1 (>= 3.3)'

override_dh_auto_test:
	echo testsuite disabled

## remctl 3.17

=== java/Makefile ===
# Makefile for Java remctl implementation.
#
# This Makefile is not (yet) integrated with the rest of the remctl build
# system.  You will need to either edit the JDK setting below or override it
# on the command line with:
#
#     make JAVA_HOME=/path/to/jdk/directory
#
# Currently, only the Sun Java JDK is supported (1.4.2, 5, or 6).
#
# Copyright 2007 Marcus Watts <mdw@umich.edu>
# Copyright 2007-2008
#     The Board of Trustees of the Leland Stanford Junior University
#
# SPDX-License-Identifier: MIT

JAVA_HOME ?= /usr/lib/jvm/java-6-sun
JAVAC      = $(JDK)/bin/javac
JAR        = $(JDK)/bin/jar

ORIGIN     = org/eyrie/eagle/remctl
SOURCE     = $(ORIGIN)/RemctlClient.java $(ORIGIN)/RemctlServer.java \
	     $(ORIGIN)/Remctl.java
CLASS	   = $(SOURCE:.java=.class)

all: remctl.jar t5.class t7.class

t5.class: t5.java $(CLASS)
	$(JAVAC) -g t5.java

t7.class: t7.java $(CLASS)
	$(JAVAC) -g t7.java

remctl.jar: $(CLASS)
	$(JAR) cfe remctl.jar $(ORIGIN)/RemctlClient $(ORIGIN)/*.class

$(ORIGIN)/RemctlClient.class: $(ORIGIN)/RemctlClient.java $(ORIGIN)/Remctl.class
	$(JAVAC) -g $(ORIGIN)/RemctlClient.java

$(ORIGIN)/RemctlServer.class: $(ORIGIN)/RemctlServer.java $(ORIGIN)/Remctl.class
	$(JAVAC) -g $(ORIGIN)/RemctlServer.java

$(ORIGIN)/Remctl.class: $(ORIGIN)/Remctl.java
	$(JAVAC) -g $(ORIGIN)/Remctl.java

clean:
	rm -rf $(ORIGIN)/*.class remctl.jar *.class

=== debian/changelog ===
remctl (3.17-1) unstable; urgency=medium

  * New upstream release.
    - Add support for PHP 8.
    - Fix basic tests on platforms without IPv4.  (Closes: #972206)
  * Change the default Debian packaging branch to debian/unstable.
  * Move the canonical packaging repository to Salsa.
  * Remove the version number of PHP from the long description of
    php-remctl, since the source now supports either PHP 7 or PHP 8.
  * Update to debhelper compatibility level v13.
  * Update standards version to 4.5.1 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sun, 13 Dec 2020 15:14:38 -0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Russ Allbery <rra@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-php,
  dh-python,
  gem2deb,
@@ -29,10 +29,10 @@
  python3-setuptools,
 XS-Ruby-Versions: all
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://www.eyrie.org/~eagle/software/remctl/
-Vcs-Git: https://git.eyrie.org/git/kerberos/remctl.git -b debian/master
-Vcs-Browser: https://git.eyrie.org/?p=kerberos/remctl.git
+Vcs-Git: https://salsa.debian.org/rra/remctl.git
+Vcs-Browser: https://salsa.debian.org/rra/remctl
 
 Package: libremctl1
 Section: libs
@@ -147,7 +147,7 @@
  associated with an ACL containing a list of Kerberos principals
  authorized to run that command.
  .
- This package contains the PECL remctl module for PHP 7, which provides
+ This package contains the PECL remctl module for PHP, which provides
  native PHP bindings for the libremctl client library.
 
 Package: python3-pyremctl

=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V 'libremctl1 (>= 3.3)'
-
-override_dh_auto_test:
-	echo testsuite disabled

## remctl 3.18

=== debian/changelog ===
remctl (3.18-5) unstable; urgency=medium

  * Adjust the test suite for different diagnostics in PCRE 10.47. Thanks,
    Matthew Vernon. (Closes: #1119871)
  * Enable verbose mode for runtests when building the Debian package so
    that the full output of each test will be shown. This will aid in
    debugging test failure without having to rebuild the package locally
    until c-tap-harness has better support for showing test failures.
  * Update debian/watch to version 5.
  * Remove obsolete Rules-Requires-Root: no control field.
  * Update upstream signing key.

 -- Russ Allbery <rra@debian.org>  Sat, 01 Nov 2025 09:58:21 -0700

remctl (3.18-4) unstable; urgency=medium

  * Adjust the test suite for different Getopt::Long diagnostics in Perl
    5.42. Thanks, Niko Tyni. (Closes: #1111883)
  * Update upstream signing key.

 -- Russ Allbery <rra@debian.org>  Mon, 08 Sep 2025 21:41:03 -0700

remctl (3.18-3) unstable; urgency=medium

  * Add perl-xs-dev to dependencies since this package builds an XS
    module. This is required for cross-building and eventually may be
    required if libcrypt-dev is separated from libc6-dev. Thanks, Helmut
    Grohne. (Closes: #1102874)
  * Update standards version to 4.7.2 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sat, 12 Apr 2025 10:54:15 -0700

remctl (3.18-2) unstable; urgency=medium

  [ Russ Allbery ]
  * Incorporate 64-bit time_t transition changes from NMU.
  * Avoid comment markers in EXTRA_DIST because Automake now warns about
    them, which causes build failures due to -Werror. (Closes: #1094528)
  * Build-depend on pkgconf rather than pkg-config.
  * Adapt to new Ruby packaging standards.
    - Use ${ruby:Depends} instead of a manual Ruby dependency.
    - Override several Lintian tags that appear to be wrong.
  * Drop dh_autoreconf override in debian/rules since --as-needed is now
    the default in Debian.
  * Convert to the dgit-maint-debrebase workflow and add a
    debian/README.source file documenting that workflow.
  * Update Lintian overrides to drop a now-unneeded override and to adapt
    to the new syntax for extra information in tags.
  * Update standards version to 4.7.0 (no changes required).
  * Update upstream signing key.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    - remctl-server: Drop versioned constraint on netbase in Depends.
  * Set field Upstream-Name in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Russ Allbery <rra@debian.org>  Sat, 08 Feb 2025 14:28:02 -0800

remctl (3.18-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062856

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 03 Feb 2024 20:27:39 +0000

remctl (3.18-1) unstable; urgency=medium

  * New upstream release.
    - Add support for PCRE2.  (Closes: 999974)
    - Document that pcre and regex ACL expressions should be anchored.
    - Document sending SIGHUP to remctld to reload its configuration.
    - Mark remctl client library functions with their deallocators.
  * Reorganize the binary package descriptions to put the distinguishing
    quality of each package first, ahead of the generic description of
    remctl, rather than last.
  * Test supported Python versions instead of requested versions for
    autopkgtests, and stop testing Python 2.x versions.
  * Refresh upstream signing key.
  * Override Lintian warning about the license of the protocol
    specification, which is under a separate, overriding free license.
  * Update standards version to 4.6.0 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sun, 08 May 2022 21:17:33 -0700

=== debian/control ===
Source: remctl
Section: net
Priority: optional
Maintainer: Russ Allbery <rra@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-php,
 dh-python,
 gem2deb,
 krb5-config,
 libevent-dev,
 libkrb5-dev,
 libmodule-build-perl,
 libpcre2-dev,
 libperl-critic-perl,
 libsystemd-dev [linux-any],
 libtest-minimumversion-perl,
 libtest-pod-coverage-perl,
 libtest-pod-perl,
 libtest-strict-perl,
 libtest-synopsis-perl,
 perl,
 perl-xs-dev,
 php-cli,
 php-dev,
 pkgconf,
 python3-all-dev,
 python3-pytest,
 python3-pytest-runner,
 python3-setuptools,
XS-Ruby-Versions: all
Standards-Version: 4.7.2
Homepage: https://www.eyrie.org/~eagle/software/remctl/
Vcs-Git: https://salsa.debian.org/rra/remctl.git
Vcs-Browser: https://salsa.debian.org/rra/remctl

Package: libremctl1t64
Provides: ${t64:Provides}
Replaces: libremctl1
Breaks: libremctl1 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library for Kerberos-authenticated command execution
 The remctl client library, linked against MIT Kerberos.
 .
 remctl is a client/server protocol for executing specific commands on a
 remote system with Kerberos authentication.  The allowable commands must
 be listed in a server configuration file, and the executable run on the
 server may be mapped to any command name.  Each command is also
 associated with an ACL containing a list of Kerberos principals
 authorized to run that command.

Package: libremctl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libremctl1t64 (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 libkrb5-dev,
Description: Development files for Kerberos-authenticated command execution
 The development files required to build and link C or C++ programs that
 use the remctl client library.  The underlying library is linked against
 MIT Kerberos.
 .
 remctl is a client/server protocol for executing specific commands on a
 remote system with Kerberos authentication.  The allowable commands must
 be listed in a server configuration file, and the executable run on the
 server may be mapped to any command name.  Each command is also
 associated with an ACL containing a list of Kerberos principals
 authorized to run that command.

Package: remctl-client
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Client for Kerberos-authenticated command execution
 The remctl command-line client, which authenticates to a server using
 Kerberos and then executes a command and returns the result.
 .
 remctl is a client/server protocol for executing specific commands on a
 remote system with Kerberos authentication.  The allowable commands must
 be listed in a server configuration file, and the executable run on the
 server may be mapped to any command name.  Each command is also
 associated with an ACL containing a list of Kerberos principals
 authorized to run that command.

Package: remctl-server
Architecture: any
Multi-Arch: foreign
Depends:
 netbase,
 update-inetd | inet-superserver,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 openbsd-inetd | inet-superserver,
 tcpd,
Description: Server for Kerberos-authenticated command execution
 The remctl server (remctld) and SSH backend (remctl-shell), which are
 responsible for receiving an authenticated command via the remctl
 protocol (or via SSH), executing it, and returning the result.
 .
 remctl is a client/server protocol for executing specific commands on a
 remote system with Kerberos authentication.  The allowable commands must
 be listed in a server configuration file, and the executable run on the
 server may be mapped to any command name.  Each command is also
 associated with an ACL containing a list of Kerberos principals
 authorized to run that command.

Package: libnet-remctl-perl
Section: perl
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Description: Perl client for Kerberos-authenticated command execution
 Contains the Net::Remctl Perl library, which provides native Perl
 bindings for the libremctl client library.  Also contains the
 Net::Remctl::Backend module, which assists in writing remctl backends in
 Perl.
 .
 remctl is a client/server protocol for executing specific commands on a
 remote system with Kerberos authentication.  The allowable commands must
 be listed in a server configuration file, and the executable run on the
 server may be mapped to any command name.  Each command is also
 associated with an ACL containing a list of Kerberos principals
 authorized to run that command.

Package: php-remctl
Section: php
Architecture: any
Depends:
 ${misc:Depends},
 ${php:Depends},
 ${shlibs:Depends},
Description: PECL module for Kerberos-authenticated command execution
 The PECL remctl module for PHP, which provides native PHP bindings for
 the libremctl client library.
 .
 remctl is a client/server protocol for executing specific commands on a
 remote system with Kerberos authentication.  The allowable commands must
 be listed in a server configuration file, and the executable run on the
 server may be mapped to any command name.  Each command is also
 associated with an ACL containing a list of Kerberos principals
 authorized to run that command.

Package: python3-pyremctl
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python:Provides},
Description: Python 3 extension for Kerberos-authenticated command execution
 The Python 3 remctl extension, which provides native Python bindings for
 the libremctl client library.
 .
 remctl is a client/server protocol for executing specific commands on a
 remote system with Kerberos authentication.  The allowable commands must
 be listed in a server configuration file, and the executable run on the
 server may be mapped to any command name.  Each command is also
 associated with an ACL containing a list of Kerberos principals
 authorized to run that command.

Package: ruby-remctl
Section: ruby
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${ruby:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
X-DhRuby-Root: ruby
XB-Ruby-Versions: ${ruby:Versions}
Description: Ruby extension for Kerberos-authenticated command execution
 The Ruby remctl extension, which provides native Ruby bindings for the
 libremctl client library.
 .
 remctl is a client/server protocol for executing specific commands on a
 remote system with Kerberos authentication.  The allowable commands must
 be listed in a server configuration file, and the executable run on the
 server may be mapped to any command name.  Each command is also
 associated with an ACL containing a list of Kerberos principals
 authorized to run that command.

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,9 @@
 #!/usr/bin/make -f
 
-# Add hardening build flags.  -fPIE is added separately below via hooks in
+# Add hardening build flags. -fPIE is added separately below via hooks in
 # the upstream build system, since adding it globally breaks the language
 # binding modules.
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
-
-# Link with --as-needed so that the remctl client library doesn't inherit
-# the shared library dependencies of libremctl.
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # Enable -fPIE for all binaries, picked up by the upstream build system.
 export REMCTL_PROGRAM_CFLAGS  = -fPIE
@@ -22,11 +18,11 @@
 export REMCTL_PYTHON_INSTALL  := --install-layout=deb
 export REMCTL_PYTHON_VERSIONS := $(shell py3versions -s)
 
+# Put the runtests harness in verbose mode to show the output of each test.
+export C_TAP_VERBOSE = 1
+
 %:
 	dh $@ --with python3,ruby
-
-override_dh_autoreconf:
-	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
 	dh_auto_configure -- PATH_SUDO=/usr/bin/sudo --sysconfdir=/etc/remctl \
@@ -35,7 +31,7 @@
 	    --enable-python --enable-ruby
 
 # Ignore the Ruby module installed in usr/local/lib by the upstream build
-# system.  Run dh_ruby --install to build and install the module for each
+# system. Run dh_ruby --install to build and install the module for each
 # supported Ruby version.
 override_dh_install:
 	dh_install -Xlibremctl.la -Xusr/local/lib

=== debian/watch ===
Version: 5

Source: https://archives.eyrie.org/software/kerberos/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Mode: auto
